<script>
    export default {
        data: () => ({
            promoSwiper: {
                spaceBetween: 12,
                allowTouchMove: true,//false
                slidesPerView: 4,
                navigation: {
                    nextEl: '.swiper-button-next',
                    prevEl: '.swiper-button-prev'
                },
            },
        }),
        methods: {
            changeSlide(index) {
                this.$refs.promoSwiper.$swiper.slideTo(index, 400);
            },
            nextSlide() {
                this.$refs.promoSwiper.$swiper.slideNext();
            },
            prevSlide() {
                this.$refs.promoSwiper.$swiper.slidePrev();
            },
        },
        mounted() {
            this.$refs.promoSwiper.$swiper.slideTo(0);
        },
    }
</script>
<template>
    <div class="store-view">
        <div>
            <swiper class="swiper h-100pr w-100pr mb-10 px-5" :options="promoSwiper" ref="promoSwiper">
                <swiper-slide v-for="item in 6">
                    <a class="t-box t-white" href="#promo-swiper" target="_blank">
                        Promo
                    </a>
                </swiper-slide>

                <!-- SWIPER CONTROLS -->
                <div class="swiper-button-prev -mr-10" slot="button-prev"></div>
                <div class="swiper-button-next" slot="button-next"></div>
            </swiper>
        </div>

        <div class="grid grid-cols-2 gap-3 mb-10">
            <a class="t-box h-30 t-yellow" href="#promocion" target="_blank" v-for="item in 4">
                Promocion
            </a>
        </div>

        <router-link to="/rasca-y-gana" class="t-box h-25 t-red">
            BANNER PROMOCIONAL
        </router-link>
    </div>
</template>